Opened 9 years ago

Closed 9 years ago

#76 closed (fixed)

Unable to createimage on both GPO and Utah InstaGENI racks.

Reported by: lnevers@bbn.com Owned by: somebody
Priority: major Milestone:
Component: Experiment Version: SPIRAL5
Keywords: Cc:
Dependencies:

Description

I have a sliver IG-CT-1 on the GPO InstaGENI rack which has one host that is ready and customized. I logged into ops.instageni.gpolab.bbn.com to create a custom image, but command fails as follows:

[lnevers@ops ~]$ ./createimage.py -n IG-CT-1 -m https://instageni.gpolab.bbn.com/protogeni/xmlrpc/am/2.0 lnCustomF15 urn:publicid:IDN+instageni.gpolab.bbn.com+sliver+185
Got my SA credential
No such slice registered here: Slice does not exist

According to listresources at the GPO aggregate, the sliver exists:

$ omni.py listresources IG-CT-1 -a https://instageni.gpolab.bbn.com/protogeni/xmlrpc/am/2.0 
INFO:omni:Loading config file /home/lnevers/.gcf/omni_config
INFO:omni:Using control framework pg
INFO:omni:Slice urn:publicid:IDN+pgeni.gpolab.bbn.com+slice+IG-CT-1 expires within 1 day on 2013-01-04 00:00:00 UTC
INFO:omni:Gathering resources reserved for slice IG-CT-1.
INFO:omni:Listed reserved resources on 1 out of 1 possible aggregates.
INFO:omni:<?xml version="1.0" ?>
INFO:omni:  <!-- Reserved resources for:
	Slice: IG-CT-1
	at AM:
	URN: unspecified_AM_URN
	URL: https://instageni.gpolab.bbn.com/protogeni/xmlrpc/am/2.0
 -->
INFO:omni:  <rspec expires="2013-01-04T00:00:00Z" type="manifest" xmlns="http://www.geni.net/resources/rspec/3" 
xmlns:flack="http://www.protogeni.net/resources/rspec/ext/flack/1" 
xmlns:planetlab="http://www.planet-lab.org/resources/sfa/ext/planetlab/1" 
xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
xsi:schemaLocation="http://www.geni.net/resources/rspec/3   http://www.geni.net/resources/rspec/3/manifest.xsd">    

    <node client_id="VM-1" component_id="urn:publicid:IDN+instageni.gpolab.bbn.com+node+pc1" 
component_manager_id="urn:publicid:IDN+instageni.gpolab.bbn.com+authority+cm" exclusive="false" 
sliver_id="urn:publicid:IDN+instageni.gpolab.bbn.com+sliver+185">    
        <sliver_type name="emulab-openvz"/>    

<<<Additional unrelated lines deleted>>>

I am also able to create a custom image with the Omni createimage call:

$ omni.py -a ig-gpo createimage IG-CT-1 lncustom -u urn:publicid:IDN+instageni.gpolab.bbn.com+sliver+185        
INFO:omni:Loading config file /home/lnevers/.gcf/omni_config
INFO:omni:Using control framework pg
INFO:omni:Substituting AM nickname ig-gpo with URL http://instageni.gpolab.bbn.com/protogeni/xmlrpc/am/2.0, URN unspecified_AM_URN
INFO:omni:Slice urn:publicid:IDN+pgeni.gpolab.bbn.com+slice+IG-CT-1 expires within 1 day on 2013-01-04 00:00:00 UTC
INFO:omni:Substituting AM nickname ig-gpo with URL http://instageni.gpolab.bbn.com/protogeni/xmlrpc/am/2.0, URN unspecified_AM_URN
INFO:omni:Snapshotting disk on urn:publicid:IDN+instageni.gpolab.bbn.com+sliver+185 at http://instageni.gpolab.bbn.com/protogeni/xmlrpc/am/2.0, creating public image True ()
INFO:omni: ------------------------------------------------------------
INFO:omni: Completed createimage:

The Omni createimage call completes successfully as verified in the email notification:

------- Original Message --------
Subject: 	BBNINSTAGENI: Image Creation on pc1 Completed: pgeni-gpolab-bbn-com/lncustom
Date: 	Thu, 3 Jan 2013 15:47:44 -0500 (EST)
From: 	Geni User <root@instageni.gpolab.bbn.com>
To: 	Geni User <root@instageni.gpolab.bbn.com>


Image creation on pc1 has completed. As you requested, the
image has been written to /proj/pgeni-gpolab-bbn-com/images/lncustom.ndz.
You may now os_load this image on other nodes in your experiment.

Tried the same procedure at Utah and got the same result, "Slice does not exist" even though slice does exist.

Change History (2)

comment:1 Changed 9 years ago by lnevers@bbn.com

On 1/3/13 4:13 PM, Leigh Stoller wrote:

Hi. The error message is correct; createimage is very simple and assumes the slice was created locally and not at another SA (pgeni). This is why we got Aaron to add it to Omni ...

Sorry Leigh, it is the second time I tripped over this one.

I was wondering is it possible to have this prerequisite for running customimage.py stated up front in the introduction with the other assumptions in the https://users.emulab.net/trac/protogeni/wiki/ImageHowTo page?

comment:2 Changed 9 years ago by lnevers@bbn.com

Resolution: fixed
Status: newclosed

The ImageHowTo? page now accurately captures the requirements for the creation of images. Closing the ticket.

Note: See TracTickets for help on using tickets.